Package com.io7m.idstore.protocol.admin.cb

# Class ProtocolIdA1v1Serializer

java.lang.Object
com.io7m.idstore.protocol.admin.cb.ProtocolIdA1v1Serializer

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdA1v1Type>`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdA1v1Type>`

public final class ProtocolIdA1v1Serializer extends Object implements com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdA1v1Type>
Protocol `com.io7m.idstore.protocol.admin.cb.IdA1`, version `1`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProtocolIdA1v1Serializer()`
  Construct a serializer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProtocolIdA1v1Type`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  `Class<ProtocolIdA1v1Type>`
  `messageClass()`
  `void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdA1v1Type $x)`
  `BigInteger`
  `version()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProtocolIdA1v1Serializer

    public ProtocolIdA1v1Serializer()
    Construct a serializer.

- ## Method Details

  - ### version

    public BigInteger version()
    Specified by:
      `version` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdA1v1Type>`

  - ### messageClass

    public Class<ProtocolIdA1v1Type> messageClass()
    Specified by:
      `messageClass` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdA1v1Type>`

  - ### serialize

    public void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdA1v1Type $x) throws IOException
    Specified by:
      `serialize` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdA1v1Type>`
    Throws:
      `IOException`

  - ### deserialize

    public ProtocolIdA1v1Type deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Specified by:
      `deserialize` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdA1v1Type>`
    Throws:
      `IOException`